package dao;

public class DAOFactory {
	private static DAOFactory instance;

	private DAOFactory() {
	}

	public static DAOFactory getInstance() {
		if (instance == null) {
			instance = new DAOFactory();
		}
		return instance;
	}

	public AlunoDAO getAlunoDAO() {
		return new AlunoDAO();
	}
	
	public TurmaDAO getTurmaDAO() {
		return new TurmaDAO();
	}
	
	public ProfessorDAO getProfessorDAO() {
		return new ProfessorDAO();
	}
	
}
